Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000617SpeedFanHardware supportpublic2006-08-22 21:152006-10-12 19:04
Reportervbin 
Assigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformP5B Deluxe Wifi Board Rev. 1.03GOSWindows XP ProOS VersionSP2
Product Version4.29 
Target VersionFixed in Version4.31 
Summary0000617: Please add support Winbond W83627DHG in P5B Deluxe (NOT W83627EHG)
DescriptionMy P5B Deluxe is now using these two supporting chips which is :

- Winbond W83627DHG for IO ,monitoring and Fan control
- Cypress CY2855ILFC clock generator that supposed to be overclock friendly

Looks like the latest 4.29 is not support this chip yet !

It seems like almost new Asus mobotherboard is starting to use this chips.
Steps To ReproduceN/A
Additional InformationDatasheet for the CY2855ILFC to ease you. :)

http://download.cypress.com/publishedcontent/publish/design_resources/datasheets/contents/cy28551_8.pdf [^]

I've mailed Winbond for W83627DHG datasheet and no respond yet, they're not releasing it yet at their web site.

Don't know it will be different if you as SpeedFan author asking bout it ?
TagsNo tags attached.
Motherboard Model
Video Card ModelCheap nVidia 6200 Turbo Cache
Attached Filespng file icon SpeedFan 4.29 vs Asus Probe II on P5B Deluxe.PNG [^] (67,404 bytes) 2006-09-11 16:43


png file icon SpeedFan 4.30 beta 9 vs Asus Probe II on P5B Deluxe.PNG [^] (66,333 bytes) 2006-09-25 06:03


jpg file icon everest.jpg [^] (42,024 bytes) 2006-09-25 08:04

- Relationships
has duplicate 0000643closedalfredo support for Winbond W83627DHG in P5B Deluxe 
has duplicate 0000650closedalfredo No temp or fan speed displayed for system board or CPU 

-  Notes
(0001936)
alfredo (manager)
2006-08-26 11:34

Let's wait for Winbond answer :-)
(0001943)
vbin (reporter)
2006-08-26 14:37

Thanks Alfredo for acknowledging this case, seems like we'll have to wait then.

Just wondering why they keep it secret ? Not mature yet ? he..he..

Meanwhile, at anytime if you need any other info/query about this mobo I'll supply it you.

Again, thank you.
(0001956)
xspeedy (reporter)
2006-08-28 10:33

Hello,
I have a P5B motherboard and it does not work with Speedfan. Perhaps it has (almost) the same hardware as the DeLuxe version. If this is true, I am also interested in the solution asked for.
(0002000)
vbin (reporter)
2006-09-21 20:21

Alfredo, did Winbond answer you yet ? :-D
(0002006)
sch8mid (reporter)
2006-09-24 11:31

sorry ..just saw that this issue is covered here

and yes ...would be nice alfredo if we see a solution for this board in near future :-)

will try to get some info on W83627DHG as well

greets
s
(0002007)
vbin (reporter)
2006-09-24 12:50
edited on: 2006-09-24 12:52

Btw, I still don't receive any respond from them yet, just curious why the heck they sort of keep it secret by not releasing the datasheet on their site ?

Save your time on Google, done that and this page is the 1st thing that pop out from the seach result, bummer ! :(

The other possibility are at "http://www.lm-sensors.org/", [^] but that on linux, dunno if its helpfull since there is some detection script for this chip.

Does anyone here have the "special" connection to Winbond, please help Alfredo !

(0002008)
alfredo (manager)
2006-09-24 13:31
edited on: 2006-09-24 22:14

I will add full support for this chip next week. I don't know if it will be included in 4.30 or 4.31, but I will start working on it.

(0002010)
vbin (reporter)
2006-09-24 17:20
edited on: 2006-09-24 17:21

Cool, report sent as instructed and also the reminder email.

Again, just look at the screen shot I attached above in this thread, it is the screen comparion between SpeedFan 4.29 vs Asus Probe II.

Fyi, this Probe II is the proprietary Asus own program to monitor temp, fan and voltage.

Really appreciate your support & effort, thank you very much.

(0002011)
sch8mid (reporter)
2006-09-24 18:00

Fine ..alfredo ... phantastic work

would you please so nice to include me for a Beta ....

and right vbin .. got an info from asus ....the forecoming rev.2 965 boards will use this chip as well

so its fine that 4.30 will support it

greets

s
(0002013)
Deathwish (reporter)
2006-09-24 19:20

I have the MSI i975x Platinum PowerUp Edition and im lead to believe it uses this Winbond chip also. I have sent a report in! :)
(0002015)
alfredo (manager)
2006-09-24 22:13

Deathwish and Vbin: I'm ready to send to you a beta. Did you receive my email?
(0002016)
vbin (reporter)
2006-09-25 06:12

Hi Alfredo,

Tested SpeedFan 4.30 beta 9 and also new report generated sent using this beta.

So far still few entries with wrong value such as vcore, cpu temp and few others, attached a new screen shot above for the comparison with Asus Probe II vs this new beta.

Btw, since this mobo has 5 fan connectors, as you see at the attached pic, only 2 are connected with RPM monitoring which are CPU and my northbridge fan.

Do I need to connect 5 of them (with rpm sensor) to help you to trouble shoot it ? Just say so, I'll try to find another 3.

Thanks.
(0002017)
sch8mid (reporter)
2006-09-25 07:45
edited on: 2006-09-25 08:16

yes .....asus p5 deluxe 965 has 5 3-pin fan connectors --only fan 1 , fan 2 , fan 3 are controlable

by asus q -fan feature ..... fan 4 and 5 are not !


...see 2.7.5 in the manual



cpu fan is PWM 4 pin


a.t.m. the current bios 609 - 708 controls the speed of the cpufan very well -- control of fan speeds is very weak.


added an everest screenshot (newest beta) . Everest shows correct values of both cores, t-case (cpu)
and correct fanspeeds , so far Intels temp.managment software and Everest are correct , not so asus probe 2. (probe2 reads only one core and is buggy)

everest, core temp and Intels .temp managment software (TAT) read the correct temps of the internal diode
and the t.case (cpu) temp.

in fact we have 3 softs. a.t.m. , that are able to report the correct core temps of Intels Core 2

1. Core Temp Beta 0.9.0.91
2. Intel Thermal Analysis Tool
3. Everest 3.01.706 Beta (best so far)

(0002018)
vbin (reporter)
2006-09-25 11:30
edited on: 2006-09-25 11:39

Sch8mid, yes the bios can not control all fans, only few like you mentioned.

But the real datasheet is still out there, if .. again a big... "IF" the chip natively capable of controlling "all" of those fans, then there is a possiblity SpeedFan will be more capable than the built-in Bios it self ! :)

Who knows, maybe Asus bios engineer decided that "WE" don't need to control too many fans which I disagree ! he..he..

Btw, look on my screen shot, actually it is a P4 D805 @stock speed and the same cpu on other mobo reported less than 15 C ! Oh yeah, my throtlling temp is about 97C which is waaayyyy off theoritical/spec limit ! Stupid probe ! :-(

Anyway to Alfredo, do you have the datasheet for that chip in hand now ?

Also another "wish" for the clock tweaking support for this mobo and hoping I'm not asking too much, maybe in next SpeedFan version 5. :)

Fyi, about the clock generator chip in this P5B-Dlx, other reliable sources told me that it is one of the most OC friendly clockgen chip designed from the 1st place with very detail documentation on how to use those extra OC features, just read the datasheet I supplied above ! :)

(0002019)
sch8mid (reporter)
2006-09-25 12:22

hey vbin
you are so right .. alfredo will show the asus bios eng. how to control the fans :-)
and yes core temp and intels thermal monitor are only working on core 2 duos

eagerly waitin for a beta :-)

greets

s
(0002020)
Netspider (reporter)
2006-09-25 18:01

Hello,

I sent you a report including my system configuration some weeks ago and I would like to test this new beta version :-)

Bye, Netspider
(0002021)
xspeedy (reporter)
2006-09-25 22:38

As already said on 28-8 I have an Asus P5B MB and this one has also the Winbond W83627DHG chip. Please, send me a beta version for test purposes.
thanks in advance
(0002053)
mathew7 (reporter)
2006-09-28 22:33
edited on: 2006-09-28 22:34

Hi,
I have a Core2Duo E6300 on Asus P5B (not deluxe), and RMClock detects its ACPI temperature which is around 10-12 C above what Asus PCProbe detects.
I will be looking after the new beta.
PS: speedfan does not detect ACPI temp for C2D. I mentioned this because for Athlon64 I had it.

(0002077)
MrWolf (reporter)
2006-10-03 04:39

Hi,

I've got a Asus P5B-Deluxe/intel E6600/ATI X1900XT/Sound Blaster audigy 2ZS
I've just downloaded the speedfan 4.30(final) and wanted to report what it founds:
--------------------------------------------
Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Linked Intel 82801HB ICH8 SMBUS at $0400
Scanning ISA BUS at $0290...
Winbond W83627DHG (ID=$C1) found on ISA at $290
SuperIO Chip=Winbond W83627DHG
Scanning Intel SMBus at $0400...
Unknown Winbond2=$BE49 ID=$00 on SMBus at $22
SMART Enabled for drive 0
Found WDC WD2500KS-00MJB0 (250,1GB)
End of detection
Loaded 0 events
--------------------------------------------

In the Readings screen, there are no values (only HD).
It looks like it correctly finds "SuperIO Chip=Winbond W83627DHG", and disable the readings, prob. because they are not yet implemented.

Looks like it finds another unknown chip "Unknown Winbond2=$BE49 ID=$00 on SMBus at $22", but you'll know better how to interpret this...

If you need aditional information, dont hesitate to ask.
I also want to take the oportunity to Thank You for speedfan!!!
(0002078)
vbin (reporter)
2006-10-03 04:52

It looks like Alfredo dropped 4.30 beta 9 and no longer in beta page now, beta 10 must be near eh, or even better 4.31 ! :-P~~

Thanks for the hardwork Alfredo, appreciate it ! :)
(0002082)
ktorpil (reporter)
2006-10-08 09:41

So what happened? Is alfredo working on it? Will v4.31 give full support to P5B Deluxe?
(0002083)
mathew7 (reporter)
2006-10-08 10:05

(off topic)
vbin, you seem to misunderstand beta namings. Usualy software comes first as alfa (which is not really published), beta, and then final version. So 4.30 beta 9 was followed by 4.30. The new beta after 4.30 will be 4.31 beta 1. The idea is that in beta software you fix only bugs without introducing new features.
(on topic)
In 4.30 (final) the chip detection works for W83627DHG, but that's all it does. Only HDD temps are seen. Waiting for the 4.31 betas to check sensor handling. I wonder if there is a way of controlling a 3-pin fan with intels new 4-pin fan? I thought about moving the middle (2) pin to the 4th pin, but that would require a 4-pin connector.
I also checked everest and asus probe, and they all report the sensors reading, while rmclock reports around 15C more (43 against 58)
(0002085)
ktorpil (reporter)
2006-10-08 11:25

mathew7, I do hope too that there will be a way to control a 3 pin fan connected to the 4pin connector on these kinds of new boards since i have a zalman fatal1ty and it's making a lot of noise :)
(0002087)
alfredo (manager)
2006-10-09 00:45
edited on: 2006-10-09 00:45

Ok. SpeedFan 4.31 is almost ready and... it will include full support for W83627DHG. I should release 4.31 Final by wednesday.

(0002088)
alfredo (manager)
2006-10-09 00:46

By the way: I can see a device on the SMBus at address 0x22 (22 hex). Does anybody know which device is that one?
(0002095)
sch8mid (reporter)
2006-10-09 07:33

yes mysterious 0x22 , only way is to ask asus about this reading
but this whole Intel PECI things are mysterious at all
adding PECI or disabling PECI has no effect at all in the newest beta bios

But nice Alfredo , looking f
(0002096)
vbin (reporter)
2006-10-09 07:33

Wow 4.31 is coming !!! Great ! :)

Btw, don't quite understand about your question on SMBus at address 0x22 (22 hex) ? How can I help ?
(0002097)
alfredo (manager)
2006-10-09 08:28

When I buy a new motherboard I look at the motherboard and write down all the writings on all the chips. If anybody is willing to do the same and send me an email with the result, I will try to find a match for that device.
(0002098)
vbin (reporter)
2006-10-09 09:41
edited on: 2006-10-09 09:51

I've done it, not all though only big ICs and few small one that I've indentified ! Will send you in 1 or 2 hours !

Btw, do you need only the list of the ICs ? or complete ICs part number with their own location on the board? This might take a while !

(0002099)
vbin (reporter)
2006-10-09 21:06
edited on: 2006-10-09 21:11

Alfredo,

Mail sent with big pic of mobo with all the components labels there.

Few identified components, still many that I'm not sure what are they ?

The list :

ADP3198
8-Bit Programmable 2- to 4-Phase Synchronous Buck Controller
"http://www.analog.com/UploadedFiles/Data_Sheets/ADP3198.pdf" [^]

ADP3418
Dual Boostrapped 12 V MOSFET Driver with Output Disable
"http://www.analog.com/UploadedFiles/Data_Sheets/ADP3418.pdf" [^]

CY28551
Universal Clock Generator for Intel, VIA,and SIS
"http://download.cypress.com/publishedcontent/publish/design_resources/datasheets/contents/cy28551_8.pdf" [^]

RT9214
5V/12V Synchronous Buck PWM DC-DC Controller
"http://www.richtek.com/www_en/Docs/DS9214-06.pdf#search=%22RT9214%20datasheet%22" [^]

HT24LC08
CMOS8K2-WireSerialEEPROM
"http://www.holtek.com.tw/pdf/memory/24lc08v130.pdf" [^]

GD75232
Multiple RS-232 Drivers And Receivers
"http://www-s.ti.com/sc/ds/gd75232.pdf" [^]


Remarks :

- ADP3198 -> VCORE PWM
- RT9214 -> VDIMM and VMCH PWM

(0002100)
sch8mid (reporter)
2006-10-09 23:08

remarkable job , vbin !
(0002101)
alfredo (manager)
2006-10-10 01:03

Great job, Vbin! Tomorrow I'll be in Rome. When I'll get back I will double check your list.
(0002104)
alfredo (manager)
2006-10-11 19:16

Vbin, I'm afraid that none of those devices is the one I'm looking for at address 0x22 on the I2C.
(0002105)
sch8mid (reporter)
2006-10-12 00:24

thanks Alfredo for 4.31 ..just testing it :-)
(0002106)
vbin (reporter)
2006-10-12 13:34

Alfredo,

Did you receive my mail for that big mobo pic with all chips label there ?

About that device at address 0x22, anything else that we could help you to dig it out ?

I'm not an expert though, is there any other tool to sort of sniff that particular device on the I2C bus ? Sorry if this sounds silly ! :D


To sch8mid, 4.31 released ? Can't find it.
(0002107)
sch8mid (reporter)
2006-10-12 14:52

just kiddin... .:-)
(0002108)
alfredo (manager)
2006-10-12 19:04

SpeedFan 4.31 Final is online :-)

- Issue History
Date Modified Username Field Change
2006-08-22 21:15 vbin New Issue
2006-08-22 21:15 vbin Video Card Model => Cheap nVidia 6200 Turbo Cache
2006-08-26 11:34 alfredo Note Added: 0001936
2006-08-26 11:34 alfredo Severity major => feature
2006-08-26 11:34 alfredo Status assigned => acknowledged
2006-08-26 14:37 vbin Note Added: 0001943
2006-08-28 10:33 xspeedy Note Added: 0001956
2006-09-11 16:43 vbin File Added: SpeedFan 4.29 vs Asus Probe II on P5B Deluxe.PNG
2006-09-21 20:21 vbin Note Added: 0002000
2006-09-24 11:31 sch8mid Note Added: 0002006
2006-09-24 12:50 vbin Note Added: 0002007
2006-09-24 12:52 vbin Note Edited: 0002007
2006-09-24 13:31 alfredo Note Added: 0002008
2006-09-24 17:20 vbin Note Added: 0002010
2006-09-24 17:21 vbin Note Edited: 0002010
2006-09-24 18:00 sch8mid Note Added: 0002011
2006-09-24 19:20 Deathwish Note Added: 0002013
2006-09-24 22:12 alfredo Relationship added has duplicate 0000643
2006-09-24 22:13 alfredo Note Added: 0002015
2006-09-24 22:14 alfredo Note Edited: 0002008
2006-09-25 06:03 vbin File Added: SpeedFan 4.30 beta 9 vs Asus Probe II on P5B Deluxe.PNG
2006-09-25 06:12 vbin Note Added: 0002016
2006-09-25 07:45 sch8mid Note Added: 0002017
2006-09-25 07:50 sch8mid Note Edited: 0002017
2006-09-25 07:50 sch8mid Note Edited: 0002017
2006-09-25 07:51 sch8mid Note Edited: 0002017
2006-09-25 07:52 sch8mid Note Edited: 0002017
2006-09-25 08:03 sch8mid Note Edited: 0002017
2006-09-25 08:04 sch8mid File Added: everest.jpg
2006-09-25 08:11 sch8mid Note Edited: 0002017
2006-09-25 08:13 sch8mid Note Edited: 0002017
2006-09-25 08:16 sch8mid Note Edited: 0002017
2006-09-25 11:30 vbin Note Added: 0002018
2006-09-25 11:39 vbin Note Edited: 0002018
2006-09-25 12:22 sch8mid Note Added: 0002019
2006-09-25 18:01 Netspider Note Added: 0002020
2006-09-25 22:38 xspeedy Note Added: 0002021
2006-09-28 22:33 mathew7 Note Added: 0002053
2006-09-28 22:34 mathew7 Note Edited: 0002053
2006-10-03 04:39 MrWolf Note Added: 0002077
2006-10-03 04:52 vbin Note Added: 0002078
2006-10-08 09:41 ktorpil Note Added: 0002082
2006-10-08 10:05 mathew7 Note Added: 0002083
2006-10-08 11:25 ktorpil Note Added: 0002085
2006-10-09 00:45 alfredo Note Added: 0002087
2006-10-09 00:45 alfredo Note Edited: 0002087
2006-10-09 00:46 alfredo Note Added: 0002088
2006-10-09 00:50 alfredo Relationship added has duplicate 0000650
2006-10-09 07:33 sch8mid Note Added: 0002095
2006-10-09 07:33 vbin Note Added: 0002096
2006-10-09 08:28 alfredo Note Added: 0002097
2006-10-09 09:41 vbin Note Added: 0002098
2006-10-09 09:51 vbin Note Edited: 0002098
2006-10-09 21:06 vbin Note Added: 0002099
2006-10-09 21:07 vbin Note Edited: 0002099
2006-10-09 21:10 vbin Note Edited: 0002099
2006-10-09 21:11 vbin Note Edited: 0002099
2006-10-09 23:08 sch8mid Note Added: 0002100
2006-10-10 01:03 alfredo Note Added: 0002101
2006-10-11 19:05 alfredo Note Added: 0002103
2006-10-11 19:16 alfredo Note Added: 0002104
2006-10-11 20:54 alfredo Note Deleted: 0002103
2006-10-12 00:24 sch8mid Note Added: 0002105
2006-10-12 13:34 vbin Note Added: 0002106
2006-10-12 14:52 sch8mid Note Added: 0002107
2006-10-12 19:04 alfredo Note Added: 0002108
2006-10-12 19:04 alfredo Status acknowledged => resolved
2006-10-12 19:04 alfredo Resolution open => fixed
2006-10-12 19:04 alfredo Fixed in Version => 4.31


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3453 seconds.
memory usage: 8,462 KB
Powered by Mantis Bugtracker